%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                                %
%%  Definition av randvillkorsfunktionen g_D i randvillkoren                      %
%%                                                                                %
%%      a(x_min)*u'(x_min) = gamma(x_min)*(u(x_min) - g_D(x_min)) + g_N(x_min),   %
%%     -a(x_max)*u'(x_max) = gamma(x_max)*(u(x_max) - g_D(x_max)) + g_N(x_max).   %
%%                                                                                %
%%  Variabler:  rand_nr    heltal                                                 %
%%              y          reellt tal                                             % 
%%                                                                                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y = g_D(rand_nr)
if rand_nr == 1       % x_min har id-nummer 1
    y = 0;
elseif rand_nr == 2   % x_max har id-nummer 2
    y = 0;
else
    disp('Felaktigt argument i g_D.m')
end
