%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  Definition av randvillkorsfunktionen gamma i randvillkoren
%%
%% a(x_min)*u'(x_min) = gamma(x_min)*(u(x_min) - g_D(x_min)) + g_N(x_min),
%% -a(x_max)*u'(x_max) = gamma(x_max)*(u(x_max) - g_D(x_max)) + g_N(x_max).
%%
%% Variabler:  rand_nr    heltal
%%             y          reellt tal
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y = robin_gamma(rand_nr)
if rand_nr == 1       % x_min har id-nummer 1
    y = 0;            % Neumannrandvillkor
elseif rand_nr == 2   % x_max har id-nummer 2
    y = 10000;        % (approximativt) Dirichletrandvillkor
else
    disp('Felaktigt argument i robin_gamma.m')
end